Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156674 - rpm unable to install package - ics: cpio error
Summary: rpm unable to install package - ics: cpio error
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-03 06:54 UTC by Klas Pettersson
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-04 13:38:29 UTC


Attachments (Terms of Use)

Description Klas Pettersson 2005-05-03 06:54:37 UTC
Description of problem:
I´m trying to install AdobeReader_enu-7.0.0-2.i386.rpm with rpm:

[root@r3tgardel patches]# rpm -ivh AdobeReader_enu-7.0.0-2.i386.rpm
Preparing...              ########################################### [100%]
   1:AdobeReader_enu        ########################################### [100%]
error: unpackning of archive failed at 
file /usr/local/Adobe/Acrobat7.0/Resource/Linguistics: cpio: mkdir failed - 
In/out-error

Note: The above error text is translated from the locale (swedish) and may not 
be 100% correct to english locale system output.

Tried the same on a identicaly hardware/software configured server and it 
works!?!

At a loss here!!!

Version-Release number of selected component (if applicable):
rpm-4.2.3-13

How reproducible:
As above

Steps to Reproduce:
1. As above
2.
3.
  
Actual results:
As above

Expected results:
Succesfull installation, able to run acroread

Additional info:
Posted by Klas Pettersson, klas.pettersson@ringhals.se

Comment 1 Suzanne Hillman 2005-05-03 18:00:23 UTC
I don't suppose there's a problem with insufficient space on a drive or something?

Comment 2 Jeff Johnson 2005-05-03 23:40:56 UTC
Input/Output sounds like I/O error known in *nix as EIO.
This error is invariably a hardware error.
Check your logs for failing disks.

Comment 3 Klas Pettersson 2005-05-04 06:01:49 UTC
The message file contains the following error:

May  4 07:58:30 localhost kernel: ata1: status=0x51 { DriveReady SeekComplete 
Error }
May  4 07:58:30 localhost kernel: ata1: error=0x40 { UncorrectableError }
May  4 07:58:34 localhost kernel: ata1: status=0x51 { DriveReady SeekComplete 
Error }
May  4 07:58:34 localhost kernel: ata1: error=0x40 { UncorrectableError }
May  4 07:58:38 localhost kernel: ata1: status=0x51 { DriveReady SeekComplete 
Error }
May  4 07:58:38 localhost kernel: ata1: error=0x40 { UncorrectableError }
May  4 07:58:38 localhost kernel: scsi0: ERROR on channel 0, id 0, lun 0, CDB: 
Read (10) 00 00 bf 95 e5 00 00 08 00
May  4 07:58:38 localhost kernel: Current sd08:01: sense key Medium Error
May  4 07:58:38 localhost kernel: Additional sense indicates Unrecovered read 
error - auto reallocate failed
May  4 07:58:38 localhost kernel:  I/O error: dev 08:01, sector 12346904

Sounds like a disc error!!!


Note You need to log in before you can comment on or make changes to this bug.